GET /ads/insights

Ads insights (impressions, reach, clicks, spend, cpc, cpm, ctr, actions) of an ad account, campaign, ad set or ad

GET
/ads/insights

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Query Parameters

accountId*string

Connected Facebook Page account id

objectId*string

act_..., campaign, ad set or ad id

datePreset?string

last_7d (default), last_30d, ...

since?string

YYYY-MM-DD

until?string

YYYY-MM-DD

level?string

account | campaign | adset | ad

breakdowns?string

Comma list, e.g. age,gender

timeIncrement?string

1 for daily rows

fields?string

Comma list of insight fields

Response Body

{objectId, insights, mock}

application/json
  1. response
objectId?string
insights?array<>
mock?boolean
Example Request
curl -X GET 'https://example.com/api/v1/ads/insights?accountId=string&objectId=string'
Example Response
{  "objectId": "string",  "insights": [    {}  ],  "mock": true}